Bug 176853 - [MAINTAINER] multimedia/gtk-youtube-viewer: update to 3.0.7, adjusted build dependencies
[MAINTAINER] multimedia/gtk-youtube-viewer: update to 3.0.7, adjusted build d...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: beech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-11 14:20 UTC by nemysis
Modified: 2013-03-17 04:30 UTC (History)
0 users

See Also:


Attachments
gtk-youtube-viewer-3.0.7.patch (5.97 KB, patch)
2013-03-11 14:20 UTC, nemysis
no flags Details | Diff
gtk-youtube-viewer.diff (6.03 KB, patch)
2013-03-11 14:58 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-03-11 14:20:00 UTC
- Update to 3.0.7

Makefile changed:

Port is now safe with NOPORTDOCS=yes in /etc/make.conf

+# According to Build.PL
 BUILD_DEPENDS= <-- changed to all is install what is needed
+MAN3= <-- adjusted
+OPTIONS_DEFINE=	DOCS GTK2 GCAP
+.if ${PORT_OPTIONS:MDOCS}
+PLIST_SUB+=	PORTDOCS=""
+.else
+PLIST_SUB+=	PORTDOCS="@comment "
+.endif

Changed and refined:
 post-patch:
 pkg-plist

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)

How-To-Repeat: 
portlint -A
looks fine.

port test: clean
Comment 1 nemysis 2013-03-11 14:58:22 UTC
Have fixed Mistake, sorry

+           -e 's|usr share|(${PREFIX})|' \

to
+               -e 's|usr share|${PREFIX}|' \
Comment 2 beech freebsd_committer 2013-03-12 23:38:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

Mine
Comment 3 beech freebsd_committer 2013-03-15 02:34:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainer feedback
Comment 4 dfilter freebsd_committer 2013-03-17 04:24:09 UTC
Author: beech
Date: Sun Mar 17 04:24:01 2013
New Revision: 314390
URL: http://svnweb.freebsd.org/changeset/ports/314390

Log:
  - Update to 3.0.7
  
  PR:		ports/176853
  Submitted by:	nemysis <nemysis@gmx.ch> (maintainer)

Modified:
  head/multimedia/gtk-youtube-viewer/Makefile
  head/multimedia/gtk-youtube-viewer/distinfo
  head/multimedia/gtk-youtube-viewer/pkg-plist

Modified: head/multimedia/gtk-youtube-viewer/Makefile
==============================================================================
--- head/multimedia/gtk-youtube-viewer/Makefile	Sun Mar 17 03:05:09 2013	(r314389)
+++ head/multimedia/gtk-youtube-viewer/Makefile	Sun Mar 17 04:24:01 2013	(r314390)
@@ -1,8 +1,8 @@
-# Created by: nemysis@gmx.ch
+# Created by: nemysis <nemysis@gmx.ch>
 # $FreeBSD$
 
 PORTNAME=	gtk-youtube-viewer
-PORTVERSION=	3.0.3
+PORTVERSION=	3.0.7
 CATEGORIES=	multimedia perl5
 
 MAINTAINER=	nemysis@gmx.ch
@@ -10,12 +10,16 @@ COMMENT=	GTK Search and play YouTube vid
 
 LICENSE=	GPLv3
 
+# According to Build.PL
 BUILD_DEPENDS=	p5-Data-Dump>=0:${PORTSDIR}/devel/p5-Data-Dump \
-		p5-ReadLine-Gnu>=0:${PORTSDIR}/devel/p5-ReadLine-Gnu \
-		p5-Term-ReadKey>=0:${PORTSDIR}/devel/p5-Term-ReadKey \
-		p5-XML-Fast>=0:${PORTSDIR}/net/p5-XML-Fast \
+		p5-libwww>=0:${PORTSDIR}/www/p5-libwww \
+		p5-Term-ANSIColor>=0:${PORTSDIR}/devel/p5-Term-ANSIColor \
+		p5-URI>=0:${PORTSDIR}/net/p5-URI \
+		p5-HTML-Parser>=0:${PORTSDIR}/www/p5-HTML-Parser \
 		p5-LWP-Protocol-https>=0:${PORTSDIR}/www/p5-LWP-Protocol-https \
-		p5-libwww>=0:${PORTSDIR}/www/p5-libwww
+		p5-Term-ReadKey>=0:${PORTSDIR}/devel/p5-Term-ReadKey \
+		p5-ReadLine-Gnu>=0:${PORTSDIR}/devel/p5-ReadLine-Gnu \
+		p5-XML-Fast>=0:${PORTSDIR}/net/p5-XML-Fast
 RUN_DEPENDS:=	${BUILD_DEPENDS} \
 		mplayer:${PORTSDIR}/multimedia/mplayer
 TEST_DEPENDS=	p5-Test-More-UTF8>=0:${PORTSDIR}/devel/p5-Test-More-UTF8
@@ -25,14 +29,19 @@ CONFLICTS=	youtube-viewer-[0-9]*
 USE_GITHUB=	yes
 GH_ACCOUNT=	trizen
 GH_PROJECT=	youtube-viewer
-GH_COMMIT=	c4496ed
+GH_COMMIT=	c26d9a7
 
 WRKSRC=		${WRKDIR}/${GH_ACCOUNT}-${GH_PROJECT}-${GH_COMMIT}/WWW-YoutubeViewer
 
 PERL_MODBUILD=	yes
 
 MAN1=		youtube-viewer.1
-MAN3=		WWW::YoutubeViewer.3
+MAN3=		WWW::YoutubeViewer::RegularExpressions.3 \
+		WWW::YoutubeViewer.3 \
+		WWW::YoutubeViewer::Itags.3 \
+		WWW::YoutubeViewer::Utils.3 \
+		WWW::YoutubeViewer::GetCaption.3 \
+		WWW::YoutubeViewer::ParseXML.3
 
 PORTDOCS=	Changes README
 
@@ -56,23 +65,28 @@ RUN_DEPENDS+=	${LOCALBASE}/bin/gcap:${PO
 .endif
 
 post-patch:
-	cd ${WRKSRC} && ${REINPLACE_CMD} -n '1,/create_build_script()/p' \
-		Build.PL
-	cd ${WRKSRC}/bin && ${REINPLACE_CMD} -e 's|/usr|${PREFIX}|g' \
+	@${REINPLACE_CMD} \
+		-e 's|5.016|0|' \
+		-e 's|usr share|${PREFIX}/|' \
+		-e 's|(pixmaps))|(share/pixmaps))|' \
+		-e 's|(applications))|(share/applications))|' \
+		-e 's|(gtk-youtube-viewer))|(share/gtk-youtube-viewer))|' \
+			${WRKSRC}/Build.PL
+	@cd ${WRKSRC}/bin && ${REINPLACE_CMD} -e 's|/usr|${PREFIX}|g' \
 		gtk-youtube-viewer youtube-viewer
 
 post-install:
 .if ${PORT_OPTIONS:MGTK2}
-	${MKDIR} ${PREFIX}/share/applications
+	@${MKDIR} ${PREFIX}/share/applications
 	${INSTALL_DATA} ${WRKSRC}/share/gtk-youtube-viewer.desktop ${PREFIX}/share/applications
-	${MKDIR} ${DATADIR}/icons
+	@${MKDIR} ${DATADIR}/icons
 	${INSTALL_DATA} ${WRKSRC}/share/gtk-youtube-viewer.glade ${DATADIR}
 	${INSTALL_DATA} ${WRKSRC}/share/gtk-youtube-viewer-icons/* ${DATADIR}/icons
 	${INSTALL_DATA} ${WRKSRC}/share/icons/gtk-youtube-viewer.png ${PREFIX}/share/pixmaps
 .endif
 
 .if ${PORT_OPTIONS:MDOCS}
-	${MKDIR} ${DOCSDIR}
+	@${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
 .endif
 

Modified: head/multimedia/gtk-youtube-viewer/distinfo
==============================================================================
--- head/multimedia/gtk-youtube-viewer/distinfo	Sun Mar 17 03:05:09 2013	(r314389)
+++ head/multimedia/gtk-youtube-viewer/distinfo	Sun Mar 17 04:24:01 2013	(r314390)
@@ -1,2 +1,2 @@
-SHA256 (gtk-youtube-viewer-3.0.3.tar.gz) = 5775915a38852538951d308640f8a76f31eb7c2a52104d61410dd9eee46a337b
-SIZE (gtk-youtube-viewer-3.0.3.tar.gz) = 106567
+SHA256 (gtk-youtube-viewer-3.0.7.tar.gz) = 3a7aea5ef93d8d7015295771047172fea588b9135a1707585df253a6ed52f1dc
+SIZE (gtk-youtube-viewer-3.0.7.tar.gz) = 116915

Modified: head/multimedia/gtk-youtube-viewer/pkg-plist
==============================================================================
--- head/multimedia/gtk-youtube-viewer/pkg-plist	Sun Mar 17 03:05:09 2013	(r314389)
+++ head/multimedia/gtk-youtube-viewer/pkg-plist	Sun Mar 17 04:24:01 2013	(r314390)
@@ -1,18 +1,33 @@
 %%GTK2%%bin/gtk-youtube-viewer
 bin/youtube-viewer
 %%SITE_PERL%%/WWW/YoutubeViewer.pm
-%%SITE_PERL%%/%%PERL_ARCH%%/auto/WWW/YoutubeViewer/.packlist
+%%SITE_PERL%%/WWW/YoutubeViewer/GetCaption.pm
+%%SITE_PERL%%/WWW/YoutubeViewer/Itags.pm
+%%SITE_PERL%%/WWW/YoutubeViewer/ParseXML.pm
+%%SITE_PERL%%/WWW/YoutubeViewer/RegularExpressions.pm
+%%SITE_PERL%%/WWW/YoutubeViewer/Utils.pm
+%%GTK2%%%%SITE_PERL%%/mach/auto/WWW/YoutubeViewer/.packlist
 %%GTK2%%share/applications/gtk-youtube-viewer.desktop
-%%GTK2%%share/gtk-youtube-viewer/gtk-youtube-viewer.glade
-%%GTK2%%share/gtk-youtube-viewer/icons/default_thumb.jpg
-%%GTK2%%share/gtk-youtube-viewer/icons/feed_icon.png
-%%GTK2%%share/gtk-youtube-viewer/icons/gtk-youtube-viewer.png
-%%GTK2%%share/gtk-youtube-viewer/icons/spinner.gif
-%%GTK2%%share/gtk-youtube-viewer/icons/user.png
+%%GTK2%%%%DATADIR%%/gtk-youtube-viewer.glade
+%%GTK2%%%%DATADIR%%/icons/default_thumb.jpg
+%%GTK2%%%%DATADIR%%/icons/donate.png
+%%GTK2%%%%DATADIR%%/icons/feed_icon.png
+%%GTK2%%%%DATADIR%%/icons/gtk-youtube-viewer.png
+%%GTK2%%%%DATADIR%%/icons/spinner.gif
+%%GTK2%%%%DATADIR%%/icons/user.png
+%%GTK2%%%%DATADIR%%/youtube-viewer
 %%GTK2%%share/pixmaps/gtk-youtube-viewer.png
-%%GTK2%%@dirrm share/gtk-youtube-viewer/icons
-%%GTK2%%@dirrm share/gtk-youtube-viewer
+%%GTK2%%@dirrm %%DATADIR%%/icons
+%%GTK2%%@dirrm %%DATADIR%%
 %%GTK2%%@dirrmtry share/applications
-@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/WWW/YoutubeViewer
-@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/WWW
-@dirrmtry %%SITE_PERL%%/WWW
+%%GTK2%%@dirrm %%SITE_PERL%%/mach/auto/WWW/YoutubeViewer
+%%GTK2%%@dirrm %%SITE_PERL%%/mach/auto/WWW
+%%GTK2%%@dirrm %%SITE_PERL%%/mach/auto
+%%GTK2%%@dirrm %%SITE_PERL%%/mach
+@dirrm %%SITE_PERL%%/WWW/YoutubeViewer
+@dirrm %%SITE_PERL%%/WWW
+@dirrm %%SITE_PERL%%
+@dirrmtry lib/perl5/site_perl
+@dirrmtry lib/perl5/5.14.2/man
+@dirrmtry lib/perl5/5.14.2
+@dirrmtry lib/perl5
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 beech freebsd_committer 2013-03-17 04:24:28 UTC
State Changed
From-To: feedback->closed

Committed, Thanks!